import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsExtNetListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.VINSExtNetAPIResultNM]
    entry_count: int


class CloudapiVinsExtNetListProtocol(_base.BasePostAPIFunctionProtocol):
    def ext_net_list(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsExtNetListResultModel:
        ...
